'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = pluginContext => {
  var _pluginContext$search = pluginContext.searchOperators;
  const OP_EQ = _pluginContext$search.OP_EQ,
        OP_CONTAIN = _pluginContext$search.OP_CONTAIN;
  var _pluginContext$config = pluginContext.config;
  const defaultAdvancedSearchBooleanOp = _pluginContext$config.defaultAdvancedSearchBooleanOp,
        extensions = _pluginContext$config.extensions;


  return {
    op: defaultAdvancedSearchBooleanOp,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:citations_common/citationTermGroupList/citationTermGroup/termDisplayName'
    }, {
      op: OP_EQ,
      path: 'ns2:citations_common/citationTermGroupList/citationTermGroup/termStatus'
    }, {
      op: OP_EQ,
      path: 'ns2:citations_common/citationTermGroupList/citationTermGroup/termType'
    }, {
      op: OP_EQ,
      path: 'ns2:citations_common/citationTermGroupList/citationTermGroup/termFlag'
    }, {
      op: OP_EQ,
      path: 'ns2:citations_common/citationTermGroupList/citationTermGroup/termLanguage'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:citations_common/citationTermGroupList/citationTermGroup/termFullCitation'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:citations_common/citationTermGroupList/citationTermGroup/termTitle'
    }, ...extensions.core.advancedSearch]
  };
};