'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = pluginContext => {
  var _pluginContext$search = pluginContext.searchOperators;
  const OP_EQ = _pluginContext$search.OP_EQ,
        OP_CONTAIN = _pluginContext$search.OP_CONTAIN,
        OP_RANGE = _pluginContext$search.OP_RANGE;
  var _pluginContext$config = pluginContext.config;
  const defaultAdvancedSearchBooleanOp = _pluginContext$config.defaultAdvancedSearchBooleanOp,
        extensions = _pluginContext$config.extensions;


  return {
    op: defaultAdvancedSearchBooleanOp,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:conditionchecks_common/conditionCheckRefNumber'
    }, {
      op: OP_RANGE,
      path: 'ns2:conditionchecks_common/conditionCheckAssessmentDate'
    }, {
      op: OP_EQ,
      path: 'ns2:conditionchecks_common/objectAuditCategory'
    }, {
      op: OP_EQ,
      path: 'ns2:conditionchecks_common/conservationTreatmentPriority'
    }, {
      op: OP_RANGE,
      path: 'ns2:conditionchecks_common/nextConditionCheckDate'
    }, {
      op: OP_EQ,
      path: 'ns2:conditionchecks_common/conditionCheckGroupList/conditionCheckGroup/condition'
    }, ...extensions.core.advancedSearch]
  };
};