'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = pluginContext => {
  var _pluginContext$search = pluginContext.searchOperators;
  const OP_EQ = _pluginContext$search.OP_EQ,
        OP_CONTAIN = _pluginContext$search.OP_CONTAIN,
        OP_RANGE = _pluginContext$search.OP_RANGE;
  var _pluginContext$config = pluginContext.config;
  const defaultAdvancedSearchBooleanOp = _pluginContext$config.defaultAdvancedSearchBooleanOp,
        extensions = _pluginContext$config.extensions;


  return {
    op: defaultAdvancedSearchBooleanOp,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:conservation_common/conservationNumber'
    }, {
      op: OP_EQ,
      path: 'ns2:conservation_common/conservationStatusGroupList/conservationStatusGroup/status'
    }, {
      op: OP_EQ,
      path: 'ns2:conservation_common/treatmentPurpose'
    }, {
      op: OP_EQ,
      path: 'ns2:conservation_common/conservators/conservator'
    }, {
      op: OP_EQ,
      path: 'ns2:conservation_common/approvedBy'
    }, {
      op: OP_RANGE,
      path: 'ns2:conservation_common/approvedDate'
    }, {
      op: OP_RANGE,
      path: 'ns2:conservation_common/treatmentStartDate'
    }, {
      op: OP_RANGE,
      path: 'ns2:conservation_common/treatmentEndDate'
    }, {
      op: OP_EQ,
      path: 'ns2:conservation_common/researcher'
    }, {
      op: OP_RANGE,
      path: 'ns2:conservation_common/proposedAnalysisDate'
    }, {
      op: OP_EQ,
      path: 'ns2:conservation_common/destAnalysisGroupList/destAnalysisGroup/sampleBy'
    }, ...extensions.core.advancedSearch]
  };
};