'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = pluginContext => {
  var _pluginContext$search = pluginContext.searchOperators;
  const OP_EQ = _pluginContext$search.OP_EQ,
        OP_CONTAIN = _pluginContext$search.OP_CONTAIN,
        OP_RANGE = _pluginContext$search.OP_RANGE;
  var _pluginContext$config = pluginContext.config;
  const defaultAdvancedSearchBooleanOp = _pluginContext$config.defaultAdvancedSearchBooleanOp,
        extensions = _pluginContext$config.extensions;


  return {
    op: defaultAdvancedSearchBooleanOp,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:intakes_common/entryNumber'
    }, {
      op: OP_RANGE,
      path: 'ns2:intakes_common/entryDate'
    }, {
      op: OP_EQ,
      path: 'ns2:intakes_common/entryReason'
    }, {
      op: OP_EQ,
      path: 'ns2:intakes_common/entryMethods/entryMethod'
    }, {
      op: OP_RANGE,
      path: 'ns2:intakes_common/returnDate'
    }, {
      op: OP_EQ,
      path: 'ns2:intakes_common/currentOwner'
    }, {
      op: OP_EQ,
      path: 'ns2:intakes_common/depositor'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:intakes_common/fieldCollectionEventNames/fieldCollectionEventName'
    }, {
      op: OP_EQ,
      path: 'ns2:intakes_common/currentLocationGroupList/currentLocationGroup/currentLocation'
    }, ...extensions.core.advancedSearch]
  };
};