'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = pluginContext => {
  var _pluginContext$search = pluginContext.searchOperators;
  const OP_EQ = _pluginContext$search.OP_EQ,
        OP_CONTAIN = _pluginContext$search.OP_CONTAIN,
        OP_RANGE = _pluginContext$search.OP_RANGE;
  var _pluginContext$config = pluginContext.config;
  const defaultAdvancedSearchBooleanOp = _pluginContext$config.defaultAdvancedSearchBooleanOp,
        extensions = _pluginContext$config.extensions;


  return {
    op: defaultAdvancedSearchBooleanOp,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:media_common/identificationNumber'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:media_common/title'
    }, {
      op: OP_EQ,
      path: 'ns2:media_common/creator'
    }, {
      op: OP_EQ,
      path: 'ns2:media_common/languageList/language'
    }, {
      op: OP_EQ,
      path: 'ns2:media_common/publisher'
    }, {
      op: OP_EQ,
      path: 'ns2:media_common/typeList/type'
    }, {
      op: OP_RANGE,
      path: 'ns2:media_common/dateGroupList/dateGroup'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:media_common/source'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:media_common/subjectList/subject'
    }, {
      op: OP_EQ,
      path: 'ns2:media_common/rightsHolder'
    }, ...extensions.core.advancedSearch]
  };
};