'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = pluginContext => {
  var _pluginContext$search = pluginContext.searchOperators;
  const OP_EQ = _pluginContext$search.OP_EQ,
        OP_CONTAIN = _pluginContext$search.OP_CONTAIN;
  var _pluginContext$config = pluginContext.config;
  const defaultAdvancedSearchBooleanOp = _pluginContext$config.defaultAdvancedSearchBooleanOp,
        extensions = _pluginContext$config.extensions;


  return {
    op: defaultAdvancedSearchBooleanOp,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:places_common/placeTermGroupList/placeTermGroup/termDisplayName'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:places_common/placeTermGroupList/placeTermGroup/termName'
    }, {
      op: OP_EQ,
      path: 'ns2:places_common/placeTermGroupList/placeTermGroup/termStatus'
    }, {
      op: OP_EQ,
      path: 'ns2:places_common/placeTermGroupList/placeTermGroup/termFlag'
    }, {
      op: OP_EQ,
      path: 'ns2:places_common/placeTermGroupList/placeTermGroup/termLanguage'
    }, {
      op: OP_EQ,
      path: 'ns2:places_common/placeType'
    }, {
      op: OP_EQ,
      path: 'ns2:places_common/placeOwnerGroupList/placeOwnerGroup/owner'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:places_common/placeNote'
    }, ...extensions.core.advancedSearch]
  };
};