'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = pluginContext => {
  var _pluginContext$search = pluginContext.searchOperators;
  const OP_EQ = _pluginContext$search.OP_EQ,
        OP_CONTAIN = _pluginContext$search.OP_CONTAIN;
  var _pluginContext$config = pluginContext.config;
  const defaultAdvancedSearchBooleanOp = _pluginContext$config.defaultAdvancedSearchBooleanOp,
        extensions = _pluginContext$config.extensions;


  return {
    op: defaultAdvancedSearchBooleanOp,
    value: [{
      op: OP_EQ,
      path: 'ns2:pottags_common/family'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:pottags_common/commonName'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:pottags_common/locale'
    }, {
      op: OP_EQ,
      path: 'ns2:pottags_common/taxonName'
    }, {
      op: OP_EQ,
      path: 'ns2:pottags_common/printLabels'
    }, ...extensions.core.advancedSearch]
  };
};