'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = pluginContext => {
  var _pluginContext$search = pluginContext.searchOperators;
  const OP_EQ = _pluginContext$search.OP_EQ,
        OP_CONTAIN = _pluginContext$search.OP_CONTAIN,
        OP_RANGE = _pluginContext$search.OP_RANGE;
  var _pluginContext$config = pluginContext.config;
  const defaultAdvancedSearchBooleanOp = _pluginContext$config.defaultAdvancedSearchBooleanOp,
        extensions = _pluginContext$config.extensions;


  return {
    op: defaultAdvancedSearchBooleanOp,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:works_common/workTermGroupList/workTermGroup/termDisplayName'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:works_common/workTermGroupList/workTermGroup/termName'
    }, {
      op: OP_EQ,
      path: 'ns2:works_common/workTermGroupList/workTermGroup/termStatus'
    }, {
      op: OP_EQ,
      path: 'ns2:works_common/workTermGroupList/workTermGroup/termFlag'
    }, {
      op: OP_EQ,
      path: 'ns2:works_common/workTermGroupList/workTermGroup/termLanguage'
    }, {
      op: OP_EQ,
      path: 'ns2:works_common/workType'
    }, {
      op: OP_RANGE,
      path: 'ns2:works_common/workDateGroupList/workDateGroup'
    }, {
      op: OP_EQ,
      path: 'ns2:works_common/creatorGroupList/creatorGroup/creator'
    }, {
      op: OP_EQ,
      path: 'ns2:works_common/publisherGroupList/publisherGroup/publisher'
    }, ...extensions.core.advancedSearch]
  };
};